Bug 1019287 - ThinkPad Compact Bluetooth Keyboard with TrackPoint not connecting
ThinkPad Compact Bluetooth Keyboard with TrackPoint not connecting
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel-module-thinkpad (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jason Carpenter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 08:14 EDT by Steven Garrity
Modified: 2015-02-17 12:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:41:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Garrity 2013-10-15 08:14:47 EDT
Description of problem:
The ThinkPad Compact Bluetooth Keyboard with TrackPoint (0B47189) (http://support.lenovo.com/en_CA/product-and-parts/detail.page?&DocID=PD026744) will not connect to my ThinkPad t410s with Fedora 19.

Version-Release number of selected component (if applicable):


How reproducible:
Alwasy

Steps to Reproduce:
1. Turn on keyboard, go to Bluetooth menu in Gnome 3 (Fedora 19)
2. Choose "Set Up a New Device..."
3. Choose "ThinkPad Compact Bluetooth Keyboard with TrackPoint" from Device list and press "Continue"


Actual results:
Sometimes, it times out and says "try again", other times, it does show a numeric code to type into the keyboard to connect. However, typing the code in does nothing.

Let me know if I can provide any other information that would be helpful or if I should file a bug elsewhere. Thanks.
Comment 1 Luís Alves 2013-12-19 05:04:31 EST
I can confirm this problem using the same keyboard, Fedora 19 and a T420.

# rpm -qa| grep blue
gnome-bluetooth-3.8.2.1-1.fc19.x86_64
bluez-cups-4.101-9.fc19.x86_64
bluez-hcidump-2.5-2.fc19.x86_64
pulseaudio-module-bluetooth-3.0-10.fc19.x86_64
pybluez-0.18-6.fc19.x86_64
bluez-4.101-9.fc19.x86_64
gnome-bluetooth-libs-3.8.2.1-1.fc19.x86_64
bluez-libs-4.101-9.fc19.x86_64

# hcitool scan
Scanning ...
	90:7F:61:11:48:95	ThinkPad Compact Bluetooth Keyboard with TrackPoint

# uname -r
3.11.10-200.fc19.x86_64

Thanks,

Luís
Comment 2 Andrew Collins 2014-01-12 15:46:52 EST
There is a workaround for this bug, which might also provide insight into where the problem lies.

Workaround
========
When adding the keyboard as a bluetooth device, select the bluetooth keyboard, but before clicking "Continue" follow below steps:
* Choose "ThinkPad Compact Bluetooth Keyboard with TrackPoint" from Device list.
* Select "Do not pair" -> "Close"
* "Continue"
* Keyboard will pair successfully.

Keyboard will pair with no pin, meaning that upon reboot (of system or keyboard), the connection must be manually enabled from the Bluetooth menu; since there is no pin configured.

As you can see below, I have upgraded to F20, but the problem persists when trying to pair the keyboard using _any_ pin (I have verified that pairing fails with all options under "PIN options" dialog box).

Successful/unsucessful /var/log/messages snippets.
=============
Successful connection (with no pin):
-------------
Jan 12 14:16:37 t530fc systemd: Reached target Bluetooth.
Jan 12 14:16:38 t530fc kernel: [ 2634.196480] hid-generic 0005:17EF:6048.000A: unknown main item tag 0x0
Jan 12 14:16:38 t530fc kernel: [ 2634.205466] input: ThinkPad Compact Bluetooth Keyboard with TrackPoint as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/input23
Jan 12 14:16:38 t530fc kernel: [ 2634.206030] hid-generic 0005:17EF:6048.000A: input,hidraw1: BLUETOOTH HID v3.09 Keyboard [ThinkPad Compact Bluetooth Keyboard with TrackPoint] on c0:18:85:dd:04:d5
Jan 12 14:16:38 t530fc upowerd: (upowerd:1633): UPower-Linux-WARNING **: no valid voltage value found for device /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/0005:17EF:6048.000A/power_supply/hid-90:7f:61:11:2b:19-battery, assuming 10V

Unsuccessful attempt to pair with pin.
-------------
Jan 12 14:28:24 t530fc dbus-daemon: dbus[924]: [system] Rejected send message, 4 matched rules; type="error", sender=":1.152" (uid=1000 pid=4426 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.InvalidArgs" requested_reply="0" destination=":1.0" (uid=0 pid=907 comm="/usr/libexec/bluetooth/bluetoothd ")
Jan 12 14:28:24 t530fc dbus[924]: [system] Rejected send message, 4 matched rules; type="error", sender=":1.152" (uid=1000 pid=4426 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.InvalidArgs" requested_reply="0" destination=":1.0" (uid=0 pid=907 comm="/usr/libexec/bluetooth/bluetoothd ")

My system information
=================
$ rpm -qa | grep blue
gnome-bluetooth-3.10.0-1.fc20.x86_64
bluez-libs-5.12-2.fc20.x86_64
pulseaudio-module-bluetooth-4.0-9.gitf81e3.fc20.x86_64
bluez-cups-5.12-2.fc20.x86_64
gnome-bluetooth-libs-3.10.0-1.fc20.x86_64
bluez-5.12-2.fc20.x86_64
$ hcitool scan
Scanning ...
$ uname -r
3.12.6-300.fc20.x86_64
Comment 3 Jiri Tomasek 2014-07-12 16:15:15 EDT
Another workaround for this is:

1. run sudo hcidump -at
2. launch bluetooth-wizard, select the device (keyboard) and click "Continue"
3. watch the output from hcidump in terminal, you'll see Passcode: somerandompasscode
4. type this passcode on bt keyboard and press ENTER
5. done, your keyboard is successfully paired

Problem is IMHO with bluetooth-wizard UI not displaying the popup with passcode prompt.
Comment 4 Bruce O. Benson 2014-10-11 13:05:22 EDT
Problem description confimed in RHEL6.5 (ThinkPad Compact Bluetooth keyboard KT-1255, FRU 03X8697, connecting to a Thinkpad T510).  

I am also requesting a real fix be put into the RHEL 6.x series.
I am able to try anything out that on my end that works towards fulfilling this request.
Comment 5 Fedora End Of Life 2015-01-09 15:15:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Ferry Huberts 2015-02-11 08:30:55 EST
Still a problem on F21, please update Version field
Comment 7 Fedora End Of Life 2015-02-17 12:41:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.